Description

Supportanfrage

We have an internal tool which needs faster random access to the data in the DAT file. We are using ADTF streaming library to read

the data.

We are using seek() method to jump to required position and read the data. Based on our experience, the random access is not

faster enough.

Is there some way we can speed up this random access?

As per adtf streaming lib doc, the index table entries are created for every second in DAT file. Does increasing the index table entry

frequency improves the random access performance?

Lösung

Prdouct issue opened (ACORE-9393)

History

#1 - 2018-02-21 10:28 - hidden

- Status changed from New to In Progress

- Topic set to StreamingLib::Reader

#2 - 2018-02-22 09:14 - hidden

Yes, that should speed up the random access times, but unfortunately you have no way of increasing the frequency of index entries, as the HD

recorder does not offer a property for that.

#3 - 2018-02-22 09:24 - hidden

The support for HD recorder offering the property for changing the index table frequency should be included in future.

#4 - 2018-02-23 14:31 - hidden

- Project changed from 9 to Public Support

- Description updated

- Status changed from In Progress to To Be Closed

- Private changed from Yes to No

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-9393

Dear Murali,
we created the product issue ACORE-9393 for this feature request.

Please keep in mind that there are no changes in ADTF 2.x so it is a possible Requirement for ADTF 3.x.

Also that the Streaming Lib is past and exchanged by ADTF 3.x based ADTF File Library, which supports ADTF 2.x and 3.x.

This support issue will be closed and published.

#5 - 2018-02-23 14:31 - hidden

- Status changed from To Be Closed to Closed
